﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> تعديل بياناتي</div>
        <div class="right sliding">
            <a ng-click="GoToHome()" class="link icon-only">
                <i class="ionicons ion-home"></i>
            </a>
            <a ng-click="GoToNotifications()" class="link icon-only p-0 spanNotifications" ng-hide="IsVisitor">
                <i id="EditProfileNotificationsLoaded" class="ionicons ion-android-notifications-none">
                  <span ng-hide="$parent.$parent.notifyClick" ng-if="NewNotificationsNumber>0" class="badge">{{NewNotificationsNumber}}</span>
                </i>
                <img id="EditProfileNotificationsNotLoaded" ng-src="img/puff-White.svg" ng-hide="IsVisitor" />
            </a>
            <a ng-click="GoToSearch()" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>
    </div>
</div>

<div class="page-content">
    <div class="head">
        <div class="imgEdit" ng-click="AddUserImage()"  ng-class="isUserImageEmpty?'has-error':'no-error'">

            <div class="overlay" ng-if="!userImageElement.loading"><i class="ion-android-upload"></i></div>
            <div class="overlayProgress" ng-if="userImageElement.loading" style="width:{{userImageElement.progress}}%;"></div>
            <span class="spanOverlay" ng-if="userImageElement.loading">{{userImageElement.progress}}%</span>

            <img name="imgUserAgent" image-loader="{{userImageElement.src | generateURL}}" loader="img/puff.svg" place-holder="img/avatar.jpg" required />
        </div>
        <p ng-show="isUserImageEmpty" class="error-block">يجب اختيار صورة المستخدم</p>
    </div>
    <div class="content-block">
        <div class="list-block">
            <div class="m-auto">
                <form name="$parent.EditUserProfileForm" ng-submit="submitUserForm($parent.EditUserProfileForm)" novalidate>
                    <ul>
                        <li>
                            <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="username" class="form-control" type="text" placeholder="اسم المستخدم" ng-model="editUserProfileForm.username" required ng-minlength="3">
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$error.required" class="error-block">يجب إدخال اسم المستخدم</p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$error.minlength" class="error-block">اسم المستخدم يجب ألا يقل عن ثلاثة أحرف</p>
                            <!--<p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.username.$error.pattern" class="error-block">اسم المستخدم يجب أن يكون باللغة الإنجليزية ومن غير مسافات</p>-->
                        </li>
                        <!--<li>
        <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.fullname.$invalid?'has-error':'no-error'">
            <div class="item-inner">
                <div class="item-input">
                    <input name="fullname" class="form-control" type="text" placeholder="الإسم الكامل" ng-model="editUserProfileForm.fullname" required>
                </div>
            </div>
        </div>
        <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.fullname.$error.required" class="error-block">يجب إدخال الإسم</p>
        <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.fullname.$error.minlength" class="error-block"></p>
        <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.fullname.$error.pattern" class="error-block"></p>
    </li>-->
                        <li ng-hide="loginWithSocial">
                            <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.mobile.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="mobile" class="form-control" type="tel" placeholder="رقم الجوال" ng-pattern="mobileRegex" ng-model="editUserProfileForm.mobile" ng-minlength="10" ng-maxlength="10" ng-required="!loginWithSocial">
                                    </div>
                                </div>
                            </div>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.mobile.$error.required" class="error-block">يجب إدخال رقم الجوال</p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.mobile.$error.pattern" class="error-block">رقم الجوال غير صحيح</p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.mobile.$error.minlength" class="error-block">رقم الجوال يجب أن يكون عشرة أرقام فقط</p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.mobile.$error.maxlength" class="error-block">رقم الجوال يجب أن يكون عشرة أرقام فقط</p>
                        </li>
                        <li>
                            <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.email.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input name="email" class="form-control" type="text" placeholder="البريد الإلكتروني" ng-pattern="emailRegex" ng-model="editUserProfileForm.email">
                                    </div>
                                </div>
                            </div>
                            <!--<p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.email.$error.required" class="error-block">يجب إدخال البريد الإلكتروني</p>-->
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.email.$error.pattern" class="error-block">البريد الإلكتروني غير صحيح</p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.email.$error.minlength" class="error-block"></p>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.email.$error.maxlength" class="error-block"></p>
                        </li>
                        <!-- <li>
                            <div class="item-content" ng-class="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.editAddress.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div class="item-input">
                                        <input disabled name="editAddress" class="form-control" type="text" placeholder="عنوانك(اختياري)" ng-model="$parent.editUserProfileForm.editAddress" >
                                    </div>
                                </div>
                                <div ng-click="$parent.openMap()" class="item-media" style="margin-bottom: 0;
    margin-left: 1px;
    margin-top: 1px;
    background: #e6e6e6;
    color: #fff;
    border-radius: 20px;
    width: 38px;
    height: 38px;">
                                  

                                    <i class="ionicons ion-android-pin" style="color:#fff"></i>
                                </div>
                            </div>
                            <p ng-show="submittedEditUserProfile && editUserProfileReset && $parent.EditUserProfileForm.editAddress.$error.required" class="error-block">يجب ادخال عنوانك</p>

                        </li> -->
                        <li>
                            <a id="linkEditProfileCity" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                                <select name="city" id="userCityId" >
                                    <option ng-disabled="true" value="">المدينة</option>
                                </select>
                                <div class="item-content" ng-class="{'has-error':!isCityValid,'no-error':isCityValid}">
                                    <div class="item-inner">
                                        <div id="divItemAfterUserCity" class="item-after smart-select-value"></div>
                                    </div>
                                </div>
                            </a>
                            <p ng-show="!isCityValid" class="error-block">يجب إدخال المدينة</p>
                        </li>
                    </ul>
                    <button type="submit" class="button button-fill button-rounded centered-100" ng-click="submittedEditUserProfile=true">تعديل</button>
                </form>
            </div>
        </div>
    </div>
</div>

